SelectGenerator.SelectGeneratorDelegate (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Class SelectGenerator.SelectGeneratorDelegate

    java.lang.Object
      org.hibernate.id.insert.AbstractSelectingDelegate
          org.hibernate.id.SelectGenerator.SelectGeneratorDelegate

All Implemented Interfaces:
  InsertGeneratedIdentifierDelegate

Enclosing class:
  SelectGenerator

    public static class SelectGenerator.SelectGeneratorDelegate

extends AbstractSelectingDelegate
implements InsertGeneratedIdentifierDelegate

The delegate for the select generation strategy.

Method Summary
`protected void` | `bindParameters(SessionImplementor session, PreparedStatement ps, Object entity)` Bind any required parameter values into the SQL command `AbstractSelectingDelegate.getSelectSQL()`.
`protected Serializable` | `getResult(SessionImplementor session, ResultSet rs, Object entity)` Extract the generated key value from the given result set.
`protected String` | `getSelectSQL()` Get the SQL statement to be used to retrieve generated key values.
`IdentifierGeneratingInsert` | `prepareIdentifierGeneratingInsert()` Build a `Insert` specific to the delegate's mode of handling generated key values.

Methods inherited from class org.hibernate.id.insert.AbstractSelectingDelegate
`performInsert`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.id.insert.InsertGeneratedIdentifierDelegate
`performInsert`

Method Detail

### prepareIdentifierGeneratingInsert

    public IdentifierGeneratingInsert prepareIdentifierGeneratingInsert()

  Description copied from interface: `InsertGeneratedIdentifierDelegate`
  Build a `Insert` specific to the delegate's mode of handling generated key values.

  Specified by:
    `prepareIdentifierGeneratingInsert` in interface `InsertGeneratedIdentifierDelegate`
  Returns:
    The insert object.

### getSelectSQL

    protected String getSelectSQL()

  Description copied from class: `AbstractSelectingDelegate`
  Get the SQL statement to be used to retrieve generated key values.

  Specified by:
    `getSelectSQL` in class `AbstractSelectingDelegate`
  Returns:
    The SQL command string

### bindParameters

    protected void bindParameters(SessionImplementor session,
                                  PreparedStatement ps,
                                  Object entity)
                           throws SQLException

  Description copied from class: `AbstractSelectingDelegate`
  Bind any required parameter values into the SQL command `AbstractSelectingDelegate.getSelectSQL()`.

  Overrides:
    `bindParameters` in class `AbstractSelectingDelegate`
  Parameters:
    `session` - The session
    `ps` - The prepared `SQL` command
    `entity` - The entity being saved.
  Throws:
    `SQLException`

### getResult

    protected Serializable getResult(SessionImplementor session,
                                     ResultSet rs,
                                     Object entity)
                              throws SQLException

  Description copied from class: `AbstractSelectingDelegate`
  Extract the generated key value from the given result set.

  Specified by:
    `getResult` in class `AbstractSelectingDelegate`
  Parameters:
    `session` - The session
    `rs` - The result set containing the generated primay key values.
    `entity` - The entity being saved.
  Returns:
    The generated identifier
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.